;--- Macros -------------------------------------------------------

.macro  load_p                      ; ldt 16Bit @1 nach @0 High und @0 Low
        ldi     @0H,HIGH(@1)
        ldi     @0L,LOW(@1)
.endmacro

.macro  lds16                      ; ldt 16Bit @1 nach @0 High und @0 Low indirect
        lds     @0H,HIGH(@1)
        lds     @0L,LOW(@1)
.endmacro

.macro  sts16                      ; speichert 16Bit @1 nach @0 High und @0 Low indirect
        sts     @0H,HIGH(@1)
        sts     @0L,LOW(@1)
.endmacro

.macro  ldi16                      ; ldt 16Bit @2 nach @1 High und @0 Low	Bsp:	ldi16	r16,r17,(3000)
        ldi     @0,LOW(@2)
        ldi     @1,HIGH(@2)
.endmacro





;--- SPI ----------------------------------------------------------------------------------------------------------
//! Marco :Pull down the chip select line of the serial memory
.macro	spi_select_CS
	push	r16
	ldi		r16, (1<<SPI0_CS)
	sts		((SPI0_PORT)+6), r16		; PORT.OUT.CLR
	pop		r16
.endmacro

//! Macro Pull high the chip select line of the serial memory
.macro	spi_diselect_CS
	push	r16
	ldi		r16, (1<<SPI0_CS)
	sts		((SPI0_PORT)+5), r16		; PORT.OUT.SET
	pop		r16
.endmacro
